# do not build debug packages for now
%global debug_package %{nil}

%global version 5.7.0
%global revision 69.85e2026.5.7

Name:		mcg
Version:	%{version}
Release:	%{revision}%{?dist}
Summary:	Multicloud Object Gateway command-line

License:	ASL 2.0
URL:		https://www.noobaa.com/
Source0:	noobaa-operator-69.85e2026.5.7.tar.gz
Patch0:         replace_default_DBType.patch
Patch1:		set_downstream_images.patch
Patch2:		hide_install_uninstall_from_cli.patch
Patch3:		fix-win-log-formatting.patch

BuildRequires:	rsync
BuildRequires:	go-toolset

%description
The Multicloud Object Gateway command-line is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files
for the operator in the background.

%package redistributable
Summary:        Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows

%description redistributable
The Multicloud Object Gateway command-line binaries for Linux, Mac OSX, and Windows
is a tool that helps administrators to manage the deployment and
second-day operations for NooBaa systems, such as adding backing stores,
managing bucket claims, and setting mirroring and multi-cloud policies via
bucket classes. It provides a friendly interface and produces YAML files

%prep
%setup -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
go version
%ifarch ppc64le
GOOS=linux GOARCH=ppc64le CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch %{arm} aarch64
GOOS=linux GOARCH=arm64 CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch s390x
GOOS=linux GOARCH=s390x CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
%endif
%ifarch x86_64
CGO_ENABLED=0 GO111MODULE=on go build -ldflags="-s -w" -mod=vendor
GOOS=darwin CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-darwin -ldflags="-s -w" -mod=vendor 
GOOS=windows CGO_ENABLED=0 GO111MODULE=on go build -o noobaa-operator-windows -ldflags="-s -w" -mod=vendor 
%endif
strip -s noobaa-operator

%install
# Use install that provides option for file permission
install -D -p -m 755 noobaa-operator %{buildroot}%{_bindir}/noobaa
%ifarch x86_64
install -D -p -m 755 noobaa-operator %{buildroot}%{_datadir}/%{name}/linux/noobaa
install -D -p -m 755 noobaa-operator-darwin %{buildroot}%{_datadir}/%{name}/macosx/noobaa
install -D -p -m 755 noobaa-operator-windows %{buildroot}/%{_datadir}/%{name}/windows/noobaa.exe
%endif
install -D -p -m 644 doc/noobaa.1 %{buildroot}%{_mandir}/man1/noobaa.1

%files
%{_bindir}/noobaa
%doc doc/*
%{_mandir}/man1/*

%ifarch x86_64
%files redistributable
%dir %{_datadir}/%{name}/linux/
%dir %{_datadir}/%{name}/macosx/
%dir %{_datadir}/%{name}/windows/
%{_datadir}/%{name}/linux/noobaa
%{_datadir}/%{name}/macosx/noobaa
%{_datadir}/%{name}/windows/noobaa.exe
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu May 13 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-69.85e2026.5.7
- Rebase to mcg-operator-5.7.0-69.85e2026.5.7

* Mon May 10 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-68.85e2026.5.7
- Rebase to mcg-operator-5.7.0-68.85e2026.5.7

* Thu May 06 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-67.85e2026.5.7
- Rebase to mcg-operator-5.7.0-67.85e2026.5.7

* Mon May 03 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-66.85e2026.5.7
- Rebase to mcg-operator-5.7.0-66.85e2026.5.7

* Mon May 03 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-65.85e2026.5.7
- Rebase to mcg-operator-5.7.0-65.85e2026.5.7

* Mon May 03 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-64.85e2026.5.7
- Rebase to mcg-operator-5.7.0-64.85e2026.5.7

* Tue Apr 27 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-63.9cc7779.5.7
- Rebase to mcg-operator-5.7.0-63.9cc7779.5.7

* Thu Apr 22 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-62.9cc7779.5.7
- Rebase to mcg-operator-5.7.0-62.9cc7779.5.7

* Thu Apr 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-61.054bc35.5.7
- Rebase to mcg-operator-5.7.0-61.054bc35.5.7

* Wed Apr 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-60.054bc35.5.7
- Rebase to mcg-operator-5.7.0-60.054bc35.5.7

* Wed Apr 14 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-59.054bc35.5.7
- Rebase to mcg-operator-5.7.0-59.054bc35.5.7

* Wed Apr 07 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-58.2147155.5.7
- Rebase to mcg-operator-5.7.0-58.2147155.5.7

* Mon Apr 05 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-57.2147155.5.7
- Rebase to mcg-operator-5.7.0-57.2147155.5.7

* Mon Apr 05 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-56.2147155.5.7
- Rebase to mcg-operator-5.7.0-56.2147155.5.7

* Mon Apr 05 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-55.2147155.5.7
- Rebase to mcg-operator-5.7.0-55.2147155.5.7

* Thu Apr 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-54.32f739e.5.7
- Rebase to mcg-operator-5.7.0-54.32f739e.5.7

* Thu Apr 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-53.32f739e.5.7
- Rebase to mcg-operator-5.7.0-53.32f739e.5.7

* Thu Apr 01 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-52.32f739e.5.7
- Rebase to mcg-operator-5.7.0-52.32f739e.5.7

* Wed Mar 31 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-51.32f739e.5.7
- Rebase to mcg-operator-5.7.0-51.32f739e.5.7

* Fri Mar 26 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-50.006f2e0.5.7
- Rebase to mcg-operator-5.7.0-50.006f2e0.5.7

* Wed Mar 24 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-49.14138c9.5.7
- Rebase to mcg-operator-5.7.0-49.14138c9.5.7

* Wed Mar 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-42.87195fd.5.7
- Rebase to mcg-operator-5.7.0-42.87195fd.5.7

* Tue Mar 09 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-40.62886f4.5.7
- Rebase to mcg-operator-5.7.0-40.62886f4.5.7

* Mon Mar 08 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-39.2891c0e.5.7
- Rebase to mcg-operator-5.7.0-39.2891c0e.5.7

* Thu Mar 04 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-38.19a71f9.5.7
- Rebase to mcg-operator-5.7.0-38.19a71f9.5.7

* Tue Mar 02 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-37.c2de22a.5.7
- Rebase to mcg-operator-5.7.0-37.c2de22a.5.7

* Wed Feb 24 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-36.2788cd3.5.7
- Rebase to mcg-operator-5.7.0-36.2788cd3.5.7

* Mon Feb 22 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-35.ce2280c.5.7
- Rebase to mcg-operator-5.7.0-35.ce2280c.5.7

* Wed Feb 17 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-34.d76bf96.5.7
- Rebase to mcg-operator-5.7.0-34.d76bf96.5.7

* Tue Feb 16 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-33.46acbe3.5.7
- Rebase to mcg-operator-5.7.0-33.46acbe3.5.7

* Mon Feb 15 2021 Ceph Jenkins <ceph-jenkins@redhat.com> - 5.7.0-32.46acbe3.5.7
- Rebase to mcg-operator-5.7.0-32.46acbe3.5.7

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.7.0-5.7
- Initial build for 5.7.0
- Building CLI for macosx, windows and linux

* Sun Jun 28 2020 Liran Mauda <lmauda@redhat.com> - 5.6.0-5.6
- Initial build for 5.6.0

* Thu Apr 30 2020 Liran Mauda <lmauda@redhat.com> - 2.3.0-2.3
- Initial build for 2.3.0
- Update go to v1.13

* Sun Apr 26 2020 Liran Mauda <lmauda@redhat.com> - 2.2.0-2.2
- Initial build for 2.2.0
- Update the Summary and the Description

* Mon Dec 23 2019 Liran Mauda <lmauda@redhat.com> - 2.1.0-2.1
- Initial build for 2.1.0

* Fri Dec 13 2019 Ceph Jenkins <ceph-jenkins@redhat.com> - 2.0.9-43.db6a79b.2.0
- Rebase to mcg-operator-2.0.9-43.db6a79b.2.0

* Sun Oct 27 2019 Liran Mauda <lmauda@redhat.com> - 2.0.4-7
- building for x86_64 and ppc64le

* Sun Aug 25 2019 Liran Mauda <lmauda@redhat.com>
- Multi cloud gateway CLI
